using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;
using O2S.Barcode4NET;

namespace BarcodeExplorer
{
	/// <summary>
	/// Application's main form.
	/// </summary>
	public class MainForm : System.Windows.Forms.Form
	{
		private System.Windows.Forms.GroupBox gbxBarcode;
		private System.Windows.Forms.Label label1;
		private System.Windows.Forms.ComboBox cbxSymbology;
		private System.Windows.Forms.Label label2;
		private System.Windows.Forms.TextBox txtData;
		private System.Windows.Forms.GroupBox gbxAppearance;
		private System.Windows.Forms.Label label3;
		private System.Windows.Forms.Button btnBackColor;
		private System.Windows.Forms.Button btnBarColor;
		private System.Windows.Forms.Label label4;
		private System.Windows.Forms.Button btnTextColor;
		private System.Windows.Forms.Label label5;
		private System.Windows.Forms.ToolTip toolTip;
		private System.Windows.Forms.Label label6;
		private System.Windows.Forms.ComboBox cbxBorderStyle;
		private System.Windows.Forms.Label label7;
		private System.Windows.Forms.Button btnFont;
		private System.Windows.Forms.Label label8;
		private System.Windows.Forms.ComboBox cbxRotation;
		private System.Windows.Forms.ColorDialog cd;
		private O2S.Barcode4NET.WinControls.BarcodeView barcodeView;
		private System.Windows.Forms.FontDialog fd;
		private System.Windows.Forms.GroupBox groupBox1;
		private System.Windows.Forms.Label label9;
		private System.Windows.Forms.TextBox txtXDimension;
		private System.Windows.Forms.Label label10;
		private System.Windows.Forms.TextBox txtYDimension;
		private System.Windows.Forms.Label label11;
		private System.Windows.Forms.ComboBox cbxDimensionUnit;
		private System.Windows.Forms.Label lblStatus;
		private System.Windows.Forms.TabControl barcodesTab;
		private System.Windows.Forms.TabPage page1D;
		private System.Windows.Forms.GroupBox gbx1D;
		private System.Windows.Forms.CheckBox chkDisplayCheckSum;
		private System.Windows.Forms.CheckBox chkEnableCheckSum;
		private System.Windows.Forms.ComboBox cbxDataDisplayLocation;
		private System.Windows.Forms.Label label12;
		private System.Windows.Forms.TabPage pageCodablockF;
		private System.Windows.Forms.GroupBox gbxCodablockF;
		private System.Windows.Forms.TextBox txtCodablockFColumns;
		private System.Windows.Forms.Label label14;
		private System.Windows.Forms.TextBox txtCodablockFRows;
		private System.Windows.Forms.Label label15;
		private System.Windows.Forms.TabPage pageCode16K;
		private System.Windows.Forms.GroupBox gbxCode16K;
		private System.Windows.Forms.TextBox txtCode16KRows;
		private System.Windows.Forms.Label label16;
		private System.Windows.Forms.TabPage pageCode39;
		private System.Windows.Forms.GroupBox gbxCode39;
		private System.Windows.Forms.TextBox txtCode39WideToNarrowRatio;
		private System.Windows.Forms.Label label13;
		private System.Windows.Forms.TabPage pageDataMatrix;
		private System.Windows.Forms.GroupBox gbxDataMatrix;
		private System.Windows.Forms.ComboBox cbxDataMatrixEncoding;
		private System.Windows.Forms.ComboBox cbxDataMatrixSymbolSize;
		private System.Windows.Forms.Label label17;
		private System.Windows.Forms.Label label18;
		private System.Windows.Forms.TabPage pageEanUpc;
		private System.Windows.Forms.GroupBox gbxEanUpc;
		private System.Windows.Forms.ComboBox cbxEanSupplementDisplayLocation;
		private System.Windows.Forms.Label label19;
		private System.Windows.Forms.TextBox txtEanSupplementYDimension;
		private System.Windows.Forms.Label label20;
		private System.Windows.Forms.TextBox txtEanSupplement;
		private System.Windows.Forms.Label label21;
		private System.Windows.Forms.TabPage pageMicroPDF417;
		private System.Windows.Forms.GroupBox gbxMicroPDF417;
		private System.Windows.Forms.ComboBox cbxMicroPDF417SymbolSize;
		private System.Windows.Forms.Label label23;
		private System.Windows.Forms.TabPage pagePDF417;
		private System.Windows.Forms.GroupBox gbxPDF417;
		private System.Windows.Forms.TextBox txtPDF417Columns;
		private System.Windows.Forms.Label label22;
		private System.Windows.Forms.TextBox txtPDF417Rows;
		private System.Windows.Forms.Label label24;
		private System.Windows.Forms.Label label25;
		private System.Windows.Forms.ComboBox cbxPDF417ErrorCorrectionLevel;
		private System.Windows.Forms.Label label26;
		private System.Windows.Forms.ComboBox cbxPDF417DataCompactionMode;
		private System.Windows.Forms.TabPage pageUccEan;
		private System.Windows.Forms.GroupBox gbxUccEan;
		private System.Windows.Forms.Label label27;
		private System.Windows.Forms.TextBox txtApplicationIdentifier;
		private System.ComponentModel.IContainer components;

		public MainForm()
		{
			//
			// Required for Windows Form Designer support
			//
			InitializeComponent();

			//
			// TODO: Add any constructor code after InitializeComponent call
			//
		}

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if (components != null) 
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			this.components = new System.ComponentModel.Container();
			System.Resources.ResourceManager resources = new System.Resources.ResourceManager(typeof(MainForm));
			this.barcodeView = new O2S.Barcode4NET.WinControls.BarcodeView();
			this.gbxBarcode = new System.Windows.Forms.GroupBox();
			this.txtData = new System.Windows.Forms.TextBox();
			this.label2 = new System.Windows.Forms.Label();
			this.cbxSymbology = new System.Windows.Forms.ComboBox();
			this.label1 = new System.Windows.Forms.Label();
			this.gbxAppearance = new System.Windows.Forms.GroupBox();
			this.cbxRotation = new System.Windows.Forms.ComboBox();
			this.label8 = new System.Windows.Forms.Label();
			this.btnFont = new System.Windows.Forms.Button();
			this.label7 = new System.Windows.Forms.Label();
			this.cbxBorderStyle = new System.Windows.Forms.ComboBox();
			this.label6 = new System.Windows.Forms.Label();
			this.btnTextColor = new System.Windows.Forms.Button();
			this.label5 = new System.Windows.Forms.Label();
			this.btnBarColor = new System.Windows.Forms.Button();
			this.label4 = new System.Windows.Forms.Label();
			this.btnBackColor = new System.Windows.Forms.Button();
			this.label3 = new System.Windows.Forms.Label();
			this.toolTip = new System.Windows.Forms.ToolTip(this.components);
			this.cd = new System.Windows.Forms.ColorDialog();
			this.fd = new System.Windows.Forms.FontDialog();
			this.groupBox1 = new System.Windows.Forms.GroupBox();
			this.cbxDimensionUnit = new System.Windows.Forms.ComboBox();
			this.label11 = new System.Windows.Forms.Label();
			this.txtYDimension = new System.Windows.Forms.TextBox();
			this.label10 = new System.Windows.Forms.Label();
			this.txtXDimension = new System.Windows.Forms.TextBox();
			this.label9 = new System.Windows.Forms.Label();
			this.lblStatus = new System.Windows.Forms.Label();
			this.barcodesTab = new System.Windows.Forms.TabControl();
			this.page1D = new System.Windows.Forms.TabPage();
			this.gbx1D = new System.Windows.Forms.GroupBox();
			this.chkDisplayCheckSum = new System.Windows.Forms.CheckBox();
			this.chkEnableCheckSum = new System.Windows.Forms.CheckBox();
			this.cbxDataDisplayLocation = new System.Windows.Forms.ComboBox();
			this.label12 = new System.Windows.Forms.Label();
			this.pageCodablockF = new System.Windows.Forms.TabPage();
			this.gbxCodablockF = new System.Windows.Forms.GroupBox();
			this.txtCodablockFColumns = new System.Windows.Forms.TextBox();
			this.label14 = new System.Windows.Forms.Label();
			this.txtCodablockFRows = new System.Windows.Forms.TextBox();
			this.label15 = new System.Windows.Forms.Label();
			this.pageCode16K = new System.Windows.Forms.TabPage();
			this.gbxCode16K = new System.Windows.Forms.GroupBox();
			this.txtCode16KRows = new System.Windows.Forms.TextBox();
			this.label16 = new System.Windows.Forms.Label();
			this.pageCode39 = new System.Windows.Forms.TabPage();
			this.gbxCode39 = new System.Windows.Forms.GroupBox();
			this.txtCode39WideToNarrowRatio = new System.Windows.Forms.TextBox();
			this.label13 = new System.Windows.Forms.Label();
			this.pageDataMatrix = new System.Windows.Forms.TabPage();
			this.gbxDataMatrix = new System.Windows.Forms.GroupBox();
			this.cbxDataMatrixEncoding = new System.Windows.Forms.ComboBox();
			this.cbxDataMatrixSymbolSize = new System.Windows.Forms.ComboBox();
			this.label17 = new System.Windows.Forms.Label();
			this.label18 = new System.Windows.Forms.Label();
			this.pageEanUpc = new System.Windows.Forms.TabPage();
			this.gbxEanUpc = new System.Windows.Forms.GroupBox();
			this.cbxEanSupplementDisplayLocation = new System.Windows.Forms.ComboBox();
			this.label19 = new System.Windows.Forms.Label();
			this.txtEanSupplementYDimension = new System.Windows.Forms.TextBox();
			this.label20 = new System.Windows.Forms.Label();
			this.txtEanSupplement = new System.Windows.Forms.TextBox();
			this.label21 = new System.Windows.Forms.Label();
			this.pageMicroPDF417 = new System.Windows.Forms.TabPage();
			this.gbxMicroPDF417 = new System.Windows.Forms.GroupBox();
			this.cbxMicroPDF417SymbolSize = new System.Windows.Forms.ComboBox();
			this.label23 = new System.Windows.Forms.Label();
			this.pagePDF417 = new System.Windows.Forms.TabPage();
			this.gbxPDF417 = new System.Windows.Forms.GroupBox();
			this.cbxPDF417DataCompactionMode = new System.Windows.Forms.ComboBox();
			this.label26 = new System.Windows.Forms.Label();
			this.cbxPDF417ErrorCorrectionLevel = new System.Windows.Forms.ComboBox();
			this.label25 = new System.Windows.Forms.Label();
			this.txtPDF417Columns = new System.Windows.Forms.TextBox();
			this.label22 = new System.Windows.Forms.Label();
			this.txtPDF417Rows = new System.Windows.Forms.TextBox();
			this.label24 = new System.Windows.Forms.Label();
			this.pageUccEan = new System.Windows.Forms.TabPage();
			this.gbxUccEan = new System.Windows.Forms.GroupBox();
			this.label27 = new System.Windows.Forms.Label();
			this.txtApplicationIdentifier = new System.Windows.Forms.TextBox();
			this.gbxBarcode.SuspendLayout();
			this.gbxAppearance.SuspendLayout();
			this.groupBox1.SuspendLayout();
			this.barcodesTab.SuspendLayout();
			this.page1D.SuspendLayout();
			this.gbx1D.SuspendLayout();
			this.pageCodablockF.SuspendLayout();
			this.gbxCodablockF.SuspendLayout();
			this.pageCode16K.SuspendLayout();
			this.gbxCode16K.SuspendLayout();
			this.pageCode39.SuspendLayout();
			this.gbxCode39.SuspendLayout();
			this.pageDataMatrix.SuspendLayout();
			this.gbxDataMatrix.SuspendLayout();
			this.pageEanUpc.SuspendLayout();
			this.gbxEanUpc.SuspendLayout();
			this.pageMicroPDF417.SuspendLayout();
			this.gbxMicroPDF417.SuspendLayout();
			this.pagePDF417.SuspendLayout();
			this.gbxPDF417.SuspendLayout();
			this.pageUccEan.SuspendLayout();
			this.gbxUccEan.SuspendLayout();
			this.SuspendLayout();
			// 
			// barcodeView
			// 
			this.barcodeView.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
				| System.Windows.Forms.AnchorStyles.Left) 
				| System.Windows.Forms.AnchorStyles.Right)));
			this.barcodeView.BottomQuietZone = 2F;
			this.barcodeView.Code39WideToNarrowRatio = 3F;
			this.barcodeView.EANSupplementYDimension = 200F;
			this.barcodeView.LeftQuietZone = 2F;
			this.barcodeView.Location = new System.Drawing.Point(4, 4);
			this.barcodeView.Name = "barcodeView";
			this.barcodeView.PharmacodeBarSpacing = 40F;
			this.barcodeView.PharmacodeWideToNarrowRatio = 3F;
			this.barcodeView.RightQuietZone = 2F;
			this.barcodeView.SerialNumber = null;
			this.barcodeView.Size = new System.Drawing.Size(400, 336);
			this.barcodeView.TabIndex = 0;
			this.barcodeView.Text = "barcodeView1";
			this.barcodeView.TopQuietZone = 2F;
			this.barcodeView.XDimension = 12F;
			this.barcodeView.YDimension = 500F;
			// 
			// gbxBarcode
			// 
			this.gbxBarcode.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
			this.gbxBarcode.Controls.Add(this.txtData);
			this.gbxBarcode.Controls.Add(this.label2);
			this.gbxBarcode.Controls.Add(this.cbxSymbology);
			this.gbxBarcode.Controls.Add(this.label1);
			this.gbxBarcode.Location = new System.Drawing.Point(408, 4);
			this.gbxBarcode.Name = "gbxBarcode";
			this.gbxBarcode.Size = new System.Drawing.Size(340, 80);
			this.gbxBarcode.TabIndex = 1;
			this.gbxBarcode.TabStop = false;
			this.gbxBarcode.Text = "Barcode";
			// 
			// txtData
			// 
			this.txtData.Location = new System.Drawing.Point(72, 48);
			this.txtData.Name = "txtData";
			this.txtData.Size = new System.Drawing.Size(260, 21);
			this.txtData.TabIndex = 3;
			this.txtData.Text = "0123456789";
			this.txtData.TextChanged += new System.EventHandler(this.txtData_TextChanged);
			// 
			// label2
			// 
			this.label2.Location = new System.Drawing.Point(4, 48);
			this.label2.Name = "label2";
			this.label2.Size = new System.Drawing.Size(60, 23);
			this.label2.TabIndex = 2;
			this.label2.Text = "Data:";
			this.label2.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// cbxSymbology
			// 
			this.cbxSymbology.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
			this.cbxSymbology.Location = new System.Drawing.Point(72, 20);
			this.cbxSymbology.Name = "cbxSymbology";
			this.cbxSymbology.Size = new System.Drawing.Size(260, 21);
			this.cbxSymbology.TabIndex = 1;
			this.cbxSymbology.SelectedIndexChanged += new System.EventHandler(this.cbxSymbology_SelectedIndexChanged);
			// 
			// label1
			// 
			this.label1.Location = new System.Drawing.Point(4, 20);
			this.label1.Name = "label1";
			this.label1.Size = new System.Drawing.Size(68, 23);
			this.label1.TabIndex = 0;
			this.label1.Text = "Symbology:";
			this.label1.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// gbxAppearance
			// 
			this.gbxAppearance.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
			this.gbxAppearance.Controls.Add(this.cbxRotation);
			this.gbxAppearance.Controls.Add(this.label8);
			this.gbxAppearance.Controls.Add(this.btnFont);
			this.gbxAppearance.Controls.Add(this.label7);
			this.gbxAppearance.Controls.Add(this.cbxBorderStyle);
			this.gbxAppearance.Controls.Add(this.label6);
			this.gbxAppearance.Controls.Add(this.btnTextColor);
			this.gbxAppearance.Controls.Add(this.label5);
			this.gbxAppearance.Controls.Add(this.btnBarColor);
			this.gbxAppearance.Controls.Add(this.label4);
			this.gbxAppearance.Controls.Add(this.btnBackColor);
			this.gbxAppearance.Controls.Add(this.label3);
			this.gbxAppearance.Location = new System.Drawing.Point(408, 84);
			this.gbxAppearance.Name = "gbxAppearance";
			this.gbxAppearance.Size = new System.Drawing.Size(340, 104);
			this.gbxAppearance.TabIndex = 2;
			this.gbxAppearance.TabStop = false;
			this.gbxAppearance.Text = "Appearance";
			// 
			// cbxRotation
			// 
			this.cbxRotation.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
			this.cbxRotation.Location = new System.Drawing.Point(224, 76);
			this.cbxRotation.Name = "cbxRotation";
			this.cbxRotation.Size = new System.Drawing.Size(108, 21);
			this.cbxRotation.TabIndex = 11;
			this.cbxRotation.SelectedIndexChanged += new System.EventHandler(this.cbxRotation_SelectedIndexChanged);
			// 
			// label8
			// 
			this.label8.Location = new System.Drawing.Point(168, 76);
			this.label8.Name = "label8";
			this.label8.Size = new System.Drawing.Size(52, 23);
			this.label8.TabIndex = 10;
			this.label8.Text = "Rotation:";
			this.label8.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// btnFont
			// 
			this.btnFont.FlatStyle = System.Windows.Forms.FlatStyle.Flat;
			this.btnFont.Location = new System.Drawing.Point(72, 48);
			this.btnFont.Name = "btnFont";
			this.btnFont.Size = new System.Drawing.Size(260, 23);
			this.btnFont.TabIndex = 9;
			this.btnFont.Text = "Font";
			this.btnFont.Click += new System.EventHandler(this.btnFont_Click);
			// 
			// label7
			// 
			this.label7.Location = new System.Drawing.Point(4, 48);
			this.label7.Name = "label7";
			this.label7.Size = new System.Drawing.Size(36, 23);
			this.label7.TabIndex = 8;
			this.label7.Text = "Font:";
			this.label7.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// cbxBorderStyle
			// 
			this.cbxBorderStyle.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
			this.cbxBorderStyle.Location = new System.Drawing.Point(72, 76);
			this.cbxBorderStyle.Name = "cbxBorderStyle";
			this.cbxBorderStyle.Size = new System.Drawing.Size(92, 21);
			this.cbxBorderStyle.TabIndex = 7;
			this.cbxBorderStyle.SelectedIndexChanged += new System.EventHandler(this.cbxBorderStyle_SelectedIndexChanged);
			// 
			// label6
			// 
			this.label6.Location = new System.Drawing.Point(4, 76);
			this.label6.Name = "label6";
			this.label6.Size = new System.Drawing.Size(68, 23);
			this.label6.TabIndex = 6;
			this.label6.Text = "Border style:";
			this.label6.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// btnTextColor
			// 
			this.btnTextColor.BackColor = System.Drawing.Color.Black;
			this.btnTextColor.FlatStyle = System.Windows.Forms.FlatStyle.Flat;
			this.btnTextColor.Location = new System.Drawing.Point(292, 20);
			this.btnTextColor.Name = "btnTextColor";
			this.btnTextColor.Size = new System.Drawing.Size(40, 23);
			this.btnTextColor.TabIndex = 5;
			this.btnTextColor.Text = "...";
			this.toolTip.SetToolTip(this.btnTextColor, "Select text color");
			this.btnTextColor.Click += new System.EventHandler(this.btnTextColor_Click);
			// 
			// label5
			// 
			this.label5.Location = new System.Drawing.Point(228, 20);
			this.label5.Name = "label5";
			this.label5.Size = new System.Drawing.Size(60, 23);
			this.label5.TabIndex = 4;
			this.label5.Text = "Text color:";
			this.label5.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// btnBarColor
			// 
			this.btnBarColor.BackColor = System.Drawing.Color.Black;
			this.btnBarColor.FlatStyle = System.Windows.Forms.FlatStyle.Flat;
			this.btnBarColor.Location = new System.Drawing.Point(172, 20);
			this.btnBarColor.Name = "btnBarColor";
			this.btnBarColor.Size = new System.Drawing.Size(40, 23);
			this.btnBarColor.TabIndex = 3;
			this.btnBarColor.Text = "...";
			this.toolTip.SetToolTip(this.btnBarColor, "Select bar color");
			this.btnBarColor.Click += new System.EventHandler(this.btnBarColor_Click);
			// 
			// label4
			// 
			this.label4.Location = new System.Drawing.Point(120, 20);
			this.label4.Name = "label4";
			this.label4.Size = new System.Drawing.Size(56, 23);
			this.label4.TabIndex = 2;
			this.label4.Text = "Bar color:";
			this.label4.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// btnBackColor
			// 
			this.btnBackColor.BackColor = System.Drawing.Color.White;
			this.btnBackColor.FlatStyle = System.Windows.Forms.FlatStyle.Flat;
			this.btnBackColor.Location = new System.Drawing.Point(72, 20);
			this.btnBackColor.Name = "btnBackColor";
			this.btnBackColor.Size = new System.Drawing.Size(40, 23);
			this.btnBackColor.TabIndex = 1;
			this.btnBackColor.Text = "...";
			this.toolTip.SetToolTip(this.btnBackColor, "Select back color");
			this.btnBackColor.Click += new System.EventHandler(this.btnBackColor_Click);
			// 
			// label3
			// 
			this.label3.Location = new System.Drawing.Point(4, 20);
			this.label3.Name = "label3";
			this.label3.Size = new System.Drawing.Size(60, 23);
			this.label3.TabIndex = 0;
			this.label3.Text = "Back color:";
			this.label3.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// fd
			// 
			this.fd.Font = new System.Drawing.Font("Arial", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			// 
			// groupBox1
			// 
			this.groupBox1.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
			this.groupBox1.Controls.Add(this.cbxDimensionUnit);
			this.groupBox1.Controls.Add(this.label11);
			this.groupBox1.Controls.Add(this.txtYDimension);
			this.groupBox1.Controls.Add(this.label10);
			this.groupBox1.Controls.Add(this.txtXDimension);
			this.groupBox1.Controls.Add(this.label9);
			this.groupBox1.Location = new System.Drawing.Point(408, 188);
			this.groupBox1.Name = "groupBox1";
			this.groupBox1.Size = new System.Drawing.Size(340, 76);
			this.groupBox1.TabIndex = 3;
			this.groupBox1.TabStop = false;
			this.groupBox1.Text = "Dimensions";
			// 
			// cbxDimensionUnit
			// 
			this.cbxDimensionUnit.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
			this.cbxDimensionUnit.Location = new System.Drawing.Point(88, 48);
			this.cbxDimensionUnit.Name = "cbxDimensionUnit";
			this.cbxDimensionUnit.Size = new System.Drawing.Size(244, 21);
			this.cbxDimensionUnit.TabIndex = 5;
			this.cbxDimensionUnit.SelectedIndexChanged += new System.EventHandler(this.cbxDimensionUnit_SelectedIndexChanged);
			// 
			// label11
			// 
			this.label11.Location = new System.Drawing.Point(4, 48);
			this.label11.Name = "label11";
			this.label11.Size = new System.Drawing.Size(84, 23);
			this.label11.TabIndex = 4;
			this.label11.Text = "Dimension unit:";
			this.label11.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// txtYDimension
			// 
			this.txtYDimension.Location = new System.Drawing.Point(232, 20);
			this.txtYDimension.Name = "txtYDimension";
			this.txtYDimension.TabIndex = 3;
			this.txtYDimension.Text = "500";
			this.txtYDimension.TextChanged += new System.EventHandler(this.txtYDimension_TextChanged);
			// 
			// label10
			// 
			this.label10.Location = new System.Drawing.Point(168, 20);
			this.label10.Name = "label10";
			this.label10.Size = new System.Drawing.Size(68, 23);
			this.label10.TabIndex = 2;
			this.label10.Text = "YDimension:";
			this.label10.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// txtXDimension
			// 
			this.txtXDimension.Location = new System.Drawing.Point(88, 20);
			this.txtXDimension.Name = "txtXDimension";
			this.txtXDimension.Size = new System.Drawing.Size(76, 21);
			this.txtXDimension.TabIndex = 1;
			this.txtXDimension.Text = "12";
			this.txtXDimension.TextChanged += new System.EventHandler(this.txtXDimension_TextChanged);
			// 
			// label9
			// 
			this.label9.Location = new System.Drawing.Point(4, 20);
			this.label9.Name = "label9";
			this.label9.Size = new System.Drawing.Size(68, 23);
			this.label9.TabIndex = 0;
			this.label9.Text = "XDimension:";
			this.label9.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// lblStatus
			// 
			this.lblStatus.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
			this.lblStatus.Dock = System.Windows.Forms.DockStyle.Bottom;
			this.lblStatus.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.lblStatus.Location = new System.Drawing.Point(0, 452);
			this.lblStatus.Name = "lblStatus";
			this.lblStatus.Size = new System.Drawing.Size(752, 23);
			this.lblStatus.TabIndex = 4;
			this.lblStatus.Text = "Ready";
			this.lblStatus.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// barcodesTab
			// 
			this.barcodesTab.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left) 
				| System.Windows.Forms.AnchorStyles.Right)));
			this.barcodesTab.Controls.Add(this.page1D);
			this.barcodesTab.Controls.Add(this.pageCodablockF);
			this.barcodesTab.Controls.Add(this.pageCode16K);
			this.barcodesTab.Controls.Add(this.pageCode39);
			this.barcodesTab.Controls.Add(this.pageDataMatrix);
			this.barcodesTab.Controls.Add(this.pageEanUpc);
			this.barcodesTab.Controls.Add(this.pageUccEan);
			this.barcodesTab.Controls.Add(this.pageMicroPDF417);
			this.barcodesTab.Controls.Add(this.pagePDF417);
			this.barcodesTab.Location = new System.Drawing.Point(4, 344);
			this.barcodesTab.Name = "barcodesTab";
			this.barcodesTab.SelectedIndex = 0;
			this.barcodesTab.Size = new System.Drawing.Size(744, 104);
			this.barcodesTab.TabIndex = 10;
			// 
			// page1D
			// 
			this.page1D.Controls.Add(this.gbx1D);
			this.page1D.Location = new System.Drawing.Point(4, 22);
			this.page1D.Name = "page1D";
			this.page1D.Size = new System.Drawing.Size(736, 78);
			this.page1D.TabIndex = 0;
			this.page1D.Text = "1D symbologies";
			// 
			// gbx1D
			// 
			this.gbx1D.Controls.Add(this.chkDisplayCheckSum);
			this.gbx1D.Controls.Add(this.chkEnableCheckSum);
			this.gbx1D.Controls.Add(this.cbxDataDisplayLocation);
			this.gbx1D.Controls.Add(this.label12);
			this.gbx1D.Dock = System.Windows.Forms.DockStyle.Fill;
			this.gbx1D.Enabled = false;
			this.gbx1D.Location = new System.Drawing.Point(0, 0);
			this.gbx1D.Name = "gbx1D";
			this.gbx1D.Size = new System.Drawing.Size(736, 78);
			this.gbx1D.TabIndex = 6;
			this.gbx1D.TabStop = false;
			// 
			// chkDisplayCheckSum
			// 
			this.chkDisplayCheckSum.Location = new System.Drawing.Point(120, 48);
			this.chkDisplayCheckSum.Name = "chkDisplayCheckSum";
			this.chkDisplayCheckSum.Size = new System.Drawing.Size(112, 24);
			this.chkDisplayCheckSum.TabIndex = 4;
			this.chkDisplayCheckSum.Text = "Display checksum";
			this.chkDisplayCheckSum.CheckedChanged += new System.EventHandler(this.chkDisplayCheckSum_CheckedChanged);
			// 
			// chkEnableCheckSum
			// 
			this.chkEnableCheckSum.Checked = true;
			this.chkEnableCheckSum.CheckState = System.Windows.Forms.CheckState.Checked;
			this.chkEnableCheckSum.Location = new System.Drawing.Point(8, 48);
			this.chkEnableCheckSum.Name = "chkEnableCheckSum";
			this.chkEnableCheckSum.Size = new System.Drawing.Size(112, 24);
			this.chkEnableCheckSum.TabIndex = 3;
			this.chkEnableCheckSum.Text = "Enable checksum";
			this.chkEnableCheckSum.CheckedChanged += new System.EventHandler(this.chkEnableCheckSum_CheckedChanged);
			// 
			// cbxDataDisplayLocation
			// 
			this.cbxDataDisplayLocation.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
			this.cbxDataDisplayLocation.Location = new System.Drawing.Point(116, 20);
			this.cbxDataDisplayLocation.Name = "cbxDataDisplayLocation";
			this.cbxDataDisplayLocation.Size = new System.Drawing.Size(216, 21);
			this.cbxDataDisplayLocation.TabIndex = 2;
			this.cbxDataDisplayLocation.SelectedIndexChanged += new System.EventHandler(this.cbxDataDisplayLocation_SelectedIndexChanged);
			// 
			// label12
			// 
			this.label12.Location = new System.Drawing.Point(4, 20);
			this.label12.Name = "label12";
			this.label12.Size = new System.Drawing.Size(112, 23);
			this.label12.TabIndex = 1;
			this.label12.Text = "Data display location:";
			this.label12.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// pageCodablockF
			// 
			this.pageCodablockF.Controls.Add(this.gbxCodablockF);
			this.pageCodablockF.Location = new System.Drawing.Point(4, 22);
			this.pageCodablockF.Name = "pageCodablockF";
			this.pageCodablockF.Size = new System.Drawing.Size(736, 78);
			this.pageCodablockF.TabIndex = 1;
			this.pageCodablockF.Text = "Codablock F";
			// 
			// gbxCodablockF
			// 
			this.gbxCodablockF.Controls.Add(this.txtCodablockFColumns);
			this.gbxCodablockF.Controls.Add(this.label14);
			this.gbxCodablockF.Controls.Add(this.txtCodablockFRows);
			this.gbxCodablockF.Controls.Add(this.label15);
			this.gbxCodablockF.Dock = System.Windows.Forms.DockStyle.Fill;
			this.gbxCodablockF.Enabled = false;
			this.gbxCodablockF.Location = new System.Drawing.Point(0, 0);
			this.gbxCodablockF.Name = "gbxCodablockF";
			this.gbxCodablockF.Size = new System.Drawing.Size(736, 78);
			this.gbxCodablockF.TabIndex = 7;
			this.gbxCodablockF.TabStop = false;
			// 
			// txtCodablockFColumns
			// 
			this.txtCodablockFColumns.Location = new System.Drawing.Point(212, 20);
			this.txtCodablockFColumns.Name = "txtCodablockFColumns";
			this.txtCodablockFColumns.TabIndex = 3;
			this.txtCodablockFColumns.Text = "7";
			this.txtCodablockFColumns.TextChanged += new System.EventHandler(this.txtCodablockFColumns_TextChanged);
			// 
			// label14
			// 
			this.label14.Location = new System.Drawing.Point(156, 20);
			this.label14.Name = "label14";
			this.label14.Size = new System.Drawing.Size(52, 23);
			this.label14.TabIndex = 2;
			this.label14.Text = "Columns:";
			this.label14.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// txtCodablockFRows
			// 
			this.txtCodablockFRows.Location = new System.Drawing.Point(48, 20);
			this.txtCodablockFRows.Name = "txtCodablockFRows";
			this.txtCodablockFRows.TabIndex = 1;
			this.txtCodablockFRows.Text = "2";
			this.txtCodablockFRows.TextChanged += new System.EventHandler(this.txtCodablockFRows_TextChanged);
			// 
			// label15
			// 
			this.label15.Location = new System.Drawing.Point(4, 20);
			this.label15.Name = "label15";
			this.label15.Size = new System.Drawing.Size(40, 23);
			this.label15.TabIndex = 0;
			this.label15.Text = "Rows:";
			this.label15.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// pageCode16K
			// 
			this.pageCode16K.Controls.Add(this.gbxCode16K);
			this.pageCode16K.Location = new System.Drawing.Point(4, 22);
			this.pageCode16K.Name = "pageCode16K";
			this.pageCode16K.Size = new System.Drawing.Size(736, 78);
			this.pageCode16K.TabIndex = 2;
			this.pageCode16K.Text = "Code 16K";
			// 
			// gbxCode16K
			// 
			this.gbxCode16K.Controls.Add(this.txtCode16KRows);
			this.gbxCode16K.Controls.Add(this.label16);
			this.gbxCode16K.Dock = System.Windows.Forms.DockStyle.Fill;
			this.gbxCode16K.Enabled = false;
			this.gbxCode16K.Location = new System.Drawing.Point(0, 0);
			this.gbxCode16K.Name = "gbxCode16K";
			this.gbxCode16K.Size = new System.Drawing.Size(736, 78);
			this.gbxCode16K.TabIndex = 8;
			this.gbxCode16K.TabStop = false;
			// 
			// txtCode16KRows
			// 
			this.txtCode16KRows.Location = new System.Drawing.Point(48, 20);
			this.txtCode16KRows.Name = "txtCode16KRows";
			this.txtCode16KRows.TabIndex = 1;
			this.txtCode16KRows.Text = "2";
			this.txtCode16KRows.TextChanged += new System.EventHandler(this.txtCode16KRows_TextChanged);
			// 
			// label16
			// 
			this.label16.Location = new System.Drawing.Point(4, 20);
			this.label16.Name = "label16";
			this.label16.Size = new System.Drawing.Size(40, 23);
			this.label16.TabIndex = 0;
			this.label16.Text = "Rows:";
			this.label16.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// pageCode39
			// 
			this.pageCode39.Controls.Add(this.gbxCode39);
			this.pageCode39.Location = new System.Drawing.Point(4, 22);
			this.pageCode39.Name = "pageCode39";
			this.pageCode39.Size = new System.Drawing.Size(736, 78);
			this.pageCode39.TabIndex = 3;
			this.pageCode39.Text = "Code 32/39";
			// 
			// gbxCode39
			// 
			this.gbxCode39.Controls.Add(this.txtCode39WideToNarrowRatio);
			this.gbxCode39.Controls.Add(this.label13);
			this.gbxCode39.Dock = System.Windows.Forms.DockStyle.Fill;
			this.gbxCode39.Enabled = false;
			this.gbxCode39.Location = new System.Drawing.Point(0, 0);
			this.gbxCode39.Name = "gbxCode39";
			this.gbxCode39.Size = new System.Drawing.Size(736, 78);
			this.gbxCode39.TabIndex = 9;
			this.gbxCode39.TabStop = false;
			// 
			// txtCode39WideToNarrowRatio
			// 
			this.txtCode39WideToNarrowRatio.Location = new System.Drawing.Point(116, 20);
			this.txtCode39WideToNarrowRatio.Name = "txtCode39WideToNarrowRatio";
			this.txtCode39WideToNarrowRatio.Size = new System.Drawing.Size(96, 21);
			this.txtCode39WideToNarrowRatio.TabIndex = 1;
			this.txtCode39WideToNarrowRatio.Text = "3";
			this.txtCode39WideToNarrowRatio.TextChanged += new System.EventHandler(this.txtCode39WideToNarrowRatio_TextChanged);
			// 
			// label13
			// 
			this.label13.Location = new System.Drawing.Point(4, 20);
			this.label13.Name = "label13";
			this.label13.Size = new System.Drawing.Size(112, 23);
			this.label13.TabIndex = 0;
			this.label13.Text = "Wide to narrow ratio:";
			this.label13.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// pageDataMatrix
			// 
			this.pageDataMatrix.Controls.Add(this.gbxDataMatrix);
			this.pageDataMatrix.Location = new System.Drawing.Point(4, 22);
			this.pageDataMatrix.Name = "pageDataMatrix";
			this.pageDataMatrix.Size = new System.Drawing.Size(736, 78);
			this.pageDataMatrix.TabIndex = 4;
			this.pageDataMatrix.Text = "DataMatrix";
			// 
			// gbxDataMatrix
			// 
			this.gbxDataMatrix.Controls.Add(this.cbxDataMatrixEncoding);
			this.gbxDataMatrix.Controls.Add(this.cbxDataMatrixSymbolSize);
			this.gbxDataMatrix.Controls.Add(this.label17);
			this.gbxDataMatrix.Controls.Add(this.label18);
			this.gbxDataMatrix.Dock = System.Windows.Forms.DockStyle.Fill;
			this.gbxDataMatrix.Enabled = false;
			this.gbxDataMatrix.Location = new System.Drawing.Point(0, 0);
			this.gbxDataMatrix.Name = "gbxDataMatrix";
			this.gbxDataMatrix.Size = new System.Drawing.Size(736, 78);
			this.gbxDataMatrix.TabIndex = 10;
			this.gbxDataMatrix.TabStop = false;
			// 
			// cbxDataMatrixEncoding
			// 
			this.cbxDataMatrixEncoding.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
			this.cbxDataMatrixEncoding.Location = new System.Drawing.Point(72, 48);
			this.cbxDataMatrixEncoding.Name = "cbxDataMatrixEncoding";
			this.cbxDataMatrixEncoding.Size = new System.Drawing.Size(140, 21);
			this.cbxDataMatrixEncoding.TabIndex = 4;
			this.cbxDataMatrixEncoding.SelectedIndexChanged += new System.EventHandler(this.cbxDataMatrixEncoding_SelectedIndexChanged);
			// 
			// cbxDataMatrixSymbolSize
			// 
			this.cbxDataMatrixSymbolSize.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
			this.cbxDataMatrixSymbolSize.Location = new System.Drawing.Point(72, 20);
			this.cbxDataMatrixSymbolSize.Name = "cbxDataMatrixSymbolSize";
			this.cbxDataMatrixSymbolSize.Size = new System.Drawing.Size(140, 21);
			this.cbxDataMatrixSymbolSize.TabIndex = 3;
			this.cbxDataMatrixSymbolSize.SelectedIndexChanged += new System.EventHandler(this.cbxDataMatrixSymbolSize_SelectedIndexChanged);
			// 
			// label17
			// 
			this.label17.Location = new System.Drawing.Point(4, 48);
			this.label17.Name = "label17";
			this.label17.Size = new System.Drawing.Size(56, 23);
			this.label17.TabIndex = 2;
			this.label17.Text = "Encoding:";
			this.label17.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// label18
			// 
			this.label18.Location = new System.Drawing.Point(4, 20);
			this.label18.Name = "label18";
			this.label18.Size = new System.Drawing.Size(68, 23);
			this.label18.TabIndex = 0;
			this.label18.Text = "Symbol size:";
			this.label18.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// pageEanUpc
			// 
			this.pageEanUpc.Controls.Add(this.gbxEanUpc);
			this.pageEanUpc.Location = new System.Drawing.Point(4, 22);
			this.pageEanUpc.Name = "pageEanUpc";
			this.pageEanUpc.Size = new System.Drawing.Size(736, 78);
			this.pageEanUpc.TabIndex = 5;
			this.pageEanUpc.Text = "EAN/UPC";
			// 
			// gbxEanUpc
			// 
			this.gbxEanUpc.Controls.Add(this.cbxEanSupplementDisplayLocation);
			this.gbxEanUpc.Controls.Add(this.label19);
			this.gbxEanUpc.Controls.Add(this.txtEanSupplementYDimension);
			this.gbxEanUpc.Controls.Add(this.label20);
			this.gbxEanUpc.Controls.Add(this.txtEanSupplement);
			this.gbxEanUpc.Controls.Add(this.label21);
			this.gbxEanUpc.Dock = System.Windows.Forms.DockStyle.Fill;
			this.gbxEanUpc.Enabled = false;
			this.gbxEanUpc.Location = new System.Drawing.Point(0, 0);
			this.gbxEanUpc.Name = "gbxEanUpc";
			this.gbxEanUpc.Size = new System.Drawing.Size(736, 78);
			this.gbxEanUpc.TabIndex = 4;
			this.gbxEanUpc.TabStop = false;
			// 
			// cbxEanSupplementDisplayLocation
			// 
			this.cbxEanSupplementDisplayLocation.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
			this.cbxEanSupplementDisplayLocation.Location = new System.Drawing.Point(168, 48);
			this.cbxEanSupplementDisplayLocation.Name = "cbxEanSupplementDisplayLocation";
			this.cbxEanSupplementDisplayLocation.Size = new System.Drawing.Size(232, 21);
			this.cbxEanSupplementDisplayLocation.TabIndex = 5;
			this.cbxEanSupplementDisplayLocation.SelectedIndexChanged += new System.EventHandler(this.cbxEanSupplementDisplayLocation_SelectedIndexChanged);
			// 
			// label19
			// 
			this.label19.Location = new System.Drawing.Point(4, 48);
			this.label19.Name = "label19";
			this.label19.Size = new System.Drawing.Size(160, 23);
			this.label19.TabIndex = 4;
			this.label19.Text = "Supplement display location:";
			this.label19.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// txtEanSupplementYDimension
			// 
			this.txtEanSupplementYDimension.Location = new System.Drawing.Point(300, 20);
			this.txtEanSupplementYDimension.Name = "txtEanSupplementYDimension";
			this.txtEanSupplementYDimension.TabIndex = 3;
			this.txtEanSupplementYDimension.Text = "200";
			this.txtEanSupplementYDimension.TextChanged += new System.EventHandler(this.txtEanSupplementYDimension_TextChanged);
			// 
			// label20
			// 
			this.label20.Location = new System.Drawing.Point(168, 20);
			this.label20.Name = "label20";
			this.label20.Size = new System.Drawing.Size(132, 23);
			this.label20.TabIndex = 2;
			this.label20.Text = "Supplement YDimension:";
			this.label20.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// txtEanSupplement
			// 
			this.txtEanSupplement.Location = new System.Drawing.Point(88, 20);
			this.txtEanSupplement.Name = "txtEanSupplement";
			this.txtEanSupplement.Size = new System.Drawing.Size(76, 21);
			this.txtEanSupplement.TabIndex = 1;
			this.txtEanSupplement.Text = "";
			this.txtEanSupplement.TextChanged += new System.EventHandler(this.txtEanSupplement_TextChanged);
			// 
			// label21
			// 
			this.label21.Location = new System.Drawing.Point(4, 20);
			this.label21.Name = "label21";
			this.label21.Size = new System.Drawing.Size(68, 23);
			this.label21.TabIndex = 0;
			this.label21.Text = "Supplement:";
			this.label21.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// pageMicroPDF417
			// 
			this.pageMicroPDF417.Controls.Add(this.gbxMicroPDF417);
			this.pageMicroPDF417.Location = new System.Drawing.Point(4, 22);
			this.pageMicroPDF417.Name = "pageMicroPDF417";
			this.pageMicroPDF417.Size = new System.Drawing.Size(736, 78);
			this.pageMicroPDF417.TabIndex = 6;
			this.pageMicroPDF417.Text = "Micro PDF417";
			// 
			// gbxMicroPDF417
			// 
			this.gbxMicroPDF417.Controls.Add(this.cbxMicroPDF417SymbolSize);
			this.gbxMicroPDF417.Controls.Add(this.label23);
			this.gbxMicroPDF417.Dock = System.Windows.Forms.DockStyle.Fill;
			this.gbxMicroPDF417.Enabled = false;
			this.gbxMicroPDF417.Location = new System.Drawing.Point(0, 0);
			this.gbxMicroPDF417.Name = "gbxMicroPDF417";
			this.gbxMicroPDF417.Size = new System.Drawing.Size(736, 78);
			this.gbxMicroPDF417.TabIndex = 11;
			this.gbxMicroPDF417.TabStop = false;
			// 
			// cbxMicroPDF417SymbolSize
			// 
			this.cbxMicroPDF417SymbolSize.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
			this.cbxMicroPDF417SymbolSize.Location = new System.Drawing.Point(72, 20);
			this.cbxMicroPDF417SymbolSize.Name = "cbxMicroPDF417SymbolSize";
			this.cbxMicroPDF417SymbolSize.Size = new System.Drawing.Size(140, 21);
			this.cbxMicroPDF417SymbolSize.TabIndex = 3;
			this.cbxMicroPDF417SymbolSize.SelectedIndexChanged += new System.EventHandler(this.cbxMicroPDF417SymbolSize_SelectedIndexChanged);
			// 
			// label23
			// 
			this.label23.Location = new System.Drawing.Point(4, 20);
			this.label23.Name = "label23";
			this.label23.Size = new System.Drawing.Size(68, 23);
			this.label23.TabIndex = 0;
			this.label23.Text = "Symbol size:";
			this.label23.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// pagePDF417
			// 
			this.pagePDF417.Controls.Add(this.gbxPDF417);
			this.pagePDF417.Location = new System.Drawing.Point(4, 22);
			this.pagePDF417.Name = "pagePDF417";
			this.pagePDF417.Size = new System.Drawing.Size(736, 78);
			this.pagePDF417.TabIndex = 7;
			this.pagePDF417.Text = "PDF417";
			// 
			// gbxPDF417
			// 
			this.gbxPDF417.Controls.Add(this.cbxPDF417DataCompactionMode);
			this.gbxPDF417.Controls.Add(this.label26);
			this.gbxPDF417.Controls.Add(this.cbxPDF417ErrorCorrectionLevel);
			this.gbxPDF417.Controls.Add(this.label25);
			this.gbxPDF417.Controls.Add(this.txtPDF417Columns);
			this.gbxPDF417.Controls.Add(this.label22);
			this.gbxPDF417.Controls.Add(this.txtPDF417Rows);
			this.gbxPDF417.Controls.Add(this.label24);
			this.gbxPDF417.Dock = System.Windows.Forms.DockStyle.Fill;
			this.gbxPDF417.Enabled = false;
			this.gbxPDF417.Location = new System.Drawing.Point(0, 0);
			this.gbxPDF417.Name = "gbxPDF417";
			this.gbxPDF417.Size = new System.Drawing.Size(736, 78);
			this.gbxPDF417.TabIndex = 8;
			this.gbxPDF417.TabStop = false;
			// 
			// cbxPDF417DataCompactionMode
			// 
			this.cbxPDF417DataCompactionMode.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
			this.cbxPDF417DataCompactionMode.Location = new System.Drawing.Point(288, 48);
			this.cbxPDF417DataCompactionMode.Name = "cbxPDF417DataCompactionMode";
			this.cbxPDF417DataCompactionMode.Size = new System.Drawing.Size(100, 21);
			this.cbxPDF417DataCompactionMode.TabIndex = 8;
			this.cbxPDF417DataCompactionMode.SelectedIndexChanged += new System.EventHandler(this.cbxPDF417DataCompactionMode_SelectedIndexChanged);
			// 
			// label26
			// 
			this.label26.Location = new System.Drawing.Point(164, 48);
			this.label26.Name = "label26";
			this.label26.Size = new System.Drawing.Size(124, 23);
			this.label26.TabIndex = 7;
			this.label26.Text = "Data compaction mode:";
			this.label26.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// cbxPDF417ErrorCorrectionLevel
			// 
			this.cbxPDF417ErrorCorrectionLevel.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
			this.cbxPDF417ErrorCorrectionLevel.Location = new System.Drawing.Point(288, 20);
			this.cbxPDF417ErrorCorrectionLevel.Name = "cbxPDF417ErrorCorrectionLevel";
			this.cbxPDF417ErrorCorrectionLevel.Size = new System.Drawing.Size(100, 21);
			this.cbxPDF417ErrorCorrectionLevel.TabIndex = 6;
			this.cbxPDF417ErrorCorrectionLevel.SelectedIndexChanged += new System.EventHandler(this.cbxPDF417ErrorCorrectionLevel_SelectedIndexChanged);
			// 
			// label25
			// 
			this.label25.Location = new System.Drawing.Point(164, 20);
			this.label25.Name = "label25";
			this.label25.Size = new System.Drawing.Size(112, 23);
			this.label25.TabIndex = 4;
			this.label25.Text = "Error correction level:";
			this.label25.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// txtPDF417Columns
			// 
			this.txtPDF417Columns.Location = new System.Drawing.Point(56, 48);
			this.txtPDF417Columns.Name = "txtPDF417Columns";
			this.txtPDF417Columns.TabIndex = 3;
			this.txtPDF417Columns.Text = "3";
			this.txtPDF417Columns.TextChanged += new System.EventHandler(this.txtPDF417Columns_TextChanged);
			// 
			// label22
			// 
			this.label22.Location = new System.Drawing.Point(4, 48);
			this.label22.Name = "label22";
			this.label22.Size = new System.Drawing.Size(52, 23);
			this.label22.TabIndex = 2;
			this.label22.Text = "Columns:";
			this.label22.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// txtPDF417Rows
			// 
			this.txtPDF417Rows.Location = new System.Drawing.Point(56, 20);
			this.txtPDF417Rows.Name = "txtPDF417Rows";
			this.txtPDF417Rows.TabIndex = 1;
			this.txtPDF417Rows.Text = "3";
			this.txtPDF417Rows.TextChanged += new System.EventHandler(this.txtPDF417Rows_TextChanged);
			// 
			// label24
			// 
			this.label24.Location = new System.Drawing.Point(4, 20);
			this.label24.Name = "label24";
			this.label24.Size = new System.Drawing.Size(40, 23);
			this.label24.TabIndex = 0;
			this.label24.Text = "Rows:";
			this.label24.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// pageUccEan
			// 
			this.pageUccEan.Controls.Add(this.gbxUccEan);
			this.pageUccEan.Location = new System.Drawing.Point(4, 22);
			this.pageUccEan.Name = "pageUccEan";
			this.pageUccEan.Size = new System.Drawing.Size(736, 78);
			this.pageUccEan.TabIndex = 8;
			this.pageUccEan.Text = "UCC/EAN 128";
			// 
			// gbxUccEan
			// 
			this.gbxUccEan.Controls.Add(this.txtApplicationIdentifier);
			this.gbxUccEan.Controls.Add(this.label27);
			this.gbxUccEan.Dock = System.Windows.Forms.DockStyle.Fill;
			this.gbxUccEan.Enabled = false;
			this.gbxUccEan.Location = new System.Drawing.Point(0, 0);
			this.gbxUccEan.Name = "gbxUccEan";
			this.gbxUccEan.Size = new System.Drawing.Size(736, 78);
			this.gbxUccEan.TabIndex = 0;
			this.gbxUccEan.TabStop = false;
			// 
			// label27
			// 
			this.label27.Location = new System.Drawing.Point(4, 20);
			this.label27.Name = "label27";
			this.label27.Size = new System.Drawing.Size(112, 16);
			this.label27.TabIndex = 0;
			this.label27.Text = "Application identifier:";
			this.label27.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// txtApplicationIdentifier
			// 
			this.txtApplicationIdentifier.Location = new System.Drawing.Point(116, 20);
			this.txtApplicationIdentifier.Name = "txtApplicationIdentifier";
			this.txtApplicationIdentifier.Size = new System.Drawing.Size(120, 21);
			this.txtApplicationIdentifier.TabIndex = 1;
			this.txtApplicationIdentifier.Text = "";
			this.txtApplicationIdentifier.TextChanged += new System.EventHandler(this.txtApplicationIdentifier_TextChanged);
			// 
			// MainForm
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 14);
			this.ClientSize = new System.Drawing.Size(752, 475);
			this.Controls.Add(this.barcodesTab);
			this.Controls.Add(this.lblStatus);
			this.Controls.Add(this.groupBox1);
			this.Controls.Add(this.gbxAppearance);
			this.Controls.Add(this.gbxBarcode);
			this.Controls.Add(this.barcodeView);
			this.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.Icon = ((System.Drawing.Icon)(resources.GetObject("$this.Icon")));
			this.MaximizeBox = false;
			this.Name = "MainForm";
			this.Text = "Barcode4NET - Barcode Explorer demo";
			this.Load += new System.EventHandler(this.MainForm_Load);
			this.gbxBarcode.ResumeLayout(false);
			this.gbxAppearance.ResumeLayout(false);
			this.groupBox1.ResumeLayout(false);
			this.barcodesTab.ResumeLayout(false);
			this.page1D.ResumeLayout(false);
			this.gbx1D.ResumeLayout(false);
			this.pageCodablockF.ResumeLayout(false);
			this.gbxCodablockF.ResumeLayout(false);
			this.pageCode16K.ResumeLayout(false);
			this.gbxCode16K.ResumeLayout(false);
			this.pageCode39.ResumeLayout(false);
			this.gbxCode39.ResumeLayout(false);
			this.pageDataMatrix.ResumeLayout(false);
			this.gbxDataMatrix.ResumeLayout(false);
			this.pageEanUpc.ResumeLayout(false);
			this.gbxEanUpc.ResumeLayout(false);
			this.pageMicroPDF417.ResumeLayout(false);
			this.gbxMicroPDF417.ResumeLayout(false);
			this.pagePDF417.ResumeLayout(false);
			this.gbxPDF417.ResumeLayout(false);
			this.pageUccEan.ResumeLayout(false);
			this.gbxUccEan.ResumeLayout(false);
			this.ResumeLayout(false);

		}
		#endregion

		/// <summary>
		/// The main entry point for the application.
		/// </summary>
		[STAThread]
		static void Main() 
		{
			Application.Run(new MainForm());
		}

		private void MainForm_Load(object sender, System.EventArgs e)
		{
			SetupUI( );
		}

		private void btnBackColor_Click(object sender, System.EventArgs e)
		{
			cd.Color = barcodeView.BackColor;
			if( cd.ShowDialog( ) == DialogResult.OK )
			{
				btnBackColor.BackColor = cd.Color;
				barcodeView.BackColor = cd.Color;
			}
		}

		private void btnBarColor_Click(object sender, System.EventArgs e)
		{
			cd.Color = barcodeView.BarColor;
			if( cd.ShowDialog( ) == DialogResult.OK )
			{
				btnBarColor.BackColor = cd.Color;
				barcodeView.BarColor = cd.Color;
			}
		}

		private void btnTextColor_Click(object sender, System.EventArgs e)
		{
			cd.Color = barcodeView.TextColor;
			if( cd.ShowDialog( ) == DialogResult.OK )
			{
				btnTextColor.BackColor = cd.Color;
				barcodeView.TextColor = cd.Color;
			}
		}

		private void btnFont_Click(object sender, System.EventArgs e)
		{
			fd.Font = barcodeView.Font;
			if( fd.ShowDialog( ) == DialogResult.OK )
			{
				btnFont.Text = String.Format( "{0}, {1}pt", fd.Font.Name, fd.Font.SizeInPoints );
				barcodeView.Font = fd.Font;
			}
		}

		private void cbxBorderStyle_SelectedIndexChanged(object sender, System.EventArgs e)
		{
			string borderStyle = cbxBorderStyle.SelectedItem.ToString( );
			barcodeView.BorderStyle = 
				( Border3DStyle )Enum.Parse( typeof( Border3DStyle ), borderStyle, true );
		}

		private void cbxRotation_SelectedIndexChanged(object sender, System.EventArgs e)
		{
			string rotation = cbxRotation.SelectedItem.ToString( );
			barcodeView.Rotation = 
				( BarcodeRotation )Enum.Parse( typeof( BarcodeRotation ), rotation, true );
		}

		private void cbxSymbology_SelectedIndexChanged(object sender, System.EventArgs e)
		{
			string _symbology = cbxSymbology.SelectedItem.ToString( );
			BarcodeSymbology symbology = 
				( BarcodeSymbology )Enum.Parse( typeof( BarcodeSymbology ), _symbology, true );
			
			// Enable barcode dependent properties
			gbx1D.Enabled = symbology < BarcodeSymbology.CodablockF; 
			gbxCode39.Enabled = ( symbology == BarcodeSymbology.Code39 ) || 
				( symbology == BarcodeSymbology.Code32 );
			gbxEanUpc.Enabled = ( symbology == BarcodeSymbology.Ean13 ) ||
				( symbology == BarcodeSymbology.Ean8 ) ||
				( symbology == BarcodeSymbology.Isbn ) ||
				( symbology == BarcodeSymbology.Ismn ) ||
				( symbology == BarcodeSymbology.Ismn ) ||
				( symbology == BarcodeSymbology.Jan13 ) ||
				( symbology == BarcodeSymbology.UpcA ) ||
				( symbology == BarcodeSymbology.UpcE );
			gbxUccEan.Enabled = symbology == BarcodeSymbology.Ean128;
			gbxCodablockF.Enabled = symbology == BarcodeSymbology.CodablockF;
			gbxCode16K.Enabled = symbology == BarcodeSymbology.Code16K;
			gbxDataMatrix.Enabled = symbology == BarcodeSymbology.DataMatrix;
			gbxMicroPDF417.Enabled = symbology == BarcodeSymbology.MicroPdf417;
			gbxPDF417.Enabled = symbology == BarcodeSymbology.Pdf417;

			// Activate 1D tab if current symbology is 1D
			if( symbology < BarcodeSymbology.CodablockF ) 
			{
				barcodesTab.SelectedTab = page1D;
			}
			// Activate Code39 tab is Code39 symbology is selected.
			if( ( symbology == BarcodeSymbology.Code39 ) ||
				( symbology == BarcodeSymbology.Code39Extended ) ||
				( symbology == BarcodeSymbology.Code32 ) )
			{
				barcodesTab.SelectedTab = pageCode39;
			}
			// Activate EAN/UPC tab is an EAN/UPC symbology is selected.
			if( ( symbology == BarcodeSymbology.Ean13 ) ||
				( symbology == BarcodeSymbology.Ean8 ) ||
				( symbology == BarcodeSymbology.Isbn ) ||
				( symbology == BarcodeSymbology.Ismn ) ||
				( symbology == BarcodeSymbology.Ismn ) ||
				( symbology == BarcodeSymbology.Jan13 ) ||
				( symbology == BarcodeSymbology.UpcA ) ||
				( symbology == BarcodeSymbology.UpcE ) )
			{
				barcodesTab.SelectedTab = pageEanUpc;
			}
			// Activate UCC/EAN tab is UCC/EAN128 symbology is selected.
			if( symbology == BarcodeSymbology.Ean128 )
			{
				barcodesTab.SelectedTab = pageUccEan;
			}
			// Activate CodablockF tab is CodablockF symbology is selected.
			if( symbology == BarcodeSymbology.CodablockF )
			{
				barcodesTab.SelectedTab = pageCodablockF;
			}
			// Activate Code16K tab is Code16K symbology is selected.
			if( symbology == BarcodeSymbology.Code16K )
			{
				barcodesTab.SelectedTab = pageCode16K;
			}
			// Activate DataMatrix tab is DataMatrix symbology is selected.
			if( symbology == BarcodeSymbology.DataMatrix )
			{
				barcodesTab.SelectedTab = pageDataMatrix;
			}
			// Activate MicroPDF417 tab is MicroPDF417 symbology is selected.
			if( symbology == BarcodeSymbology.MicroPdf417 )
			{
				barcodesTab.SelectedTab = pageMicroPDF417;
			}
			// Activate PDF417 tab is PDF417 symbology is selected.
			if( symbology == BarcodeSymbology.Pdf417 )
			{
				barcodesTab.SelectedTab = pagePDF417;
			}
			barcodeView.Symbology = symbology;
		}

		private void txtData_TextChanged(object sender, System.EventArgs e)
		{
			try
			{
				barcodeView.Data = txtData.Text;		
				SetStatus( "Ready", false );
			}
			catch
			{
				SetStatus( "Invalid Data value", true );
			}
		}

		private void cbxDimensionUnit_SelectedIndexChanged(object sender, System.EventArgs e)
		{
			string dimensionUnit = cbxDimensionUnit.SelectedItem.ToString( );
			barcodeView.DimensionUnit = 
				( XYDimensionUnit )Enum.Parse( typeof( XYDimensionUnit ), dimensionUnit, true );
		}

		private void txtXDimension_TextChanged(object sender, System.EventArgs e)
		{
			try
			{
				barcodeView.XDimension = float.Parse( txtXDimension.Text );
				SetStatus( "Ready", false );
			}
			catch
			{
				SetStatus( "Invalid XDimension value", true );
			}
		}

		private void txtYDimension_TextChanged(object sender, System.EventArgs e)
		{
			try
			{
				barcodeView.YDimension = float.Parse( txtYDimension.Text );
				SetStatus( "Ready", false );
			}
			catch
			{
				SetStatus( "Invalid YDimension value", true );
			}
		}

		private void cbxDataDisplayLocation_SelectedIndexChanged(object sender, System.EventArgs e)
		{
			string dataDisplayLocation = cbxDataDisplayLocation.SelectedItem.ToString( );
			barcodeView.DataDisplayLocation = 
				( BarcodeTextLocation )Enum.Parse( typeof( BarcodeTextLocation ), dataDisplayLocation, true );
		}

		private void chkEnableCheckSum_CheckedChanged(object sender, System.EventArgs e)
		{
			barcodeView.EnableCheckSum = chkEnableCheckSum.Checked;
		}

		private void chkDisplayCheckSum_CheckedChanged(object sender, System.EventArgs e)
		{
			barcodeView.DisplayCheckSum = chkDisplayCheckSum.Checked;
		}

		private void txtCodablockFRows_TextChanged(object sender, System.EventArgs e)
		{
			try
			{
				barcodeView.CodablockFRows = int.Parse( txtCodablockFRows.Text );
				SetStatus( "Ready", false );
			}
			catch
			{
				SetStatus( "Invalid Codablock F Rows value", true );
			}
		}

		private void txtCodablockFColumns_TextChanged(object sender, System.EventArgs e)
		{
			try
			{
				barcodeView.CodablockFColumns = int.Parse( txtCodablockFColumns.Text );
				SetStatus( "Ready", false );
			}
			catch
			{
				SetStatus( "Invalid Codablock F Columns value", true );
			}
		}

		private void txtCode16KRows_TextChanged(object sender, System.EventArgs e)
		{
			try
			{
				barcodeView.Code16KRows = int.Parse( txtCode16KRows.Text );
				SetStatus( "Ready", false );
			}
			catch
			{
				SetStatus( "Invalid Code 16K Rows value", true );
			}
		}

		private void txtCode39WideToNarrowRatio_TextChanged(object sender, System.EventArgs e)
		{
			try
			{
				barcodeView.Code39WideToNarrowRatio = int.Parse( txtCode39WideToNarrowRatio.Text );
				SetStatus( "Ready", false );
			}
			catch
			{
				SetStatus( "Invalid Code 39 Wide to narrow ratio value", true );
			}
		}

		private void cbxDataMatrixSymbolSize_SelectedIndexChanged(object sender, System.EventArgs e)
		{
			string symbolSize = cbxDataMatrixSymbolSize.SelectedItem.ToString( );
			barcodeView.DataMatrixSymbolSize = 
				( DataMatrixSymbolSize )Enum.Parse( typeof( DataMatrixSymbolSize ), symbolSize, true );
		}

		private void cbxDataMatrixEncoding_SelectedIndexChanged(object sender, System.EventArgs e)
		{
			string encoding = cbxDataMatrixEncoding.SelectedItem.ToString( );
			barcodeView.DataMatrixEncoding = 
				( DataMatrixEncoding )Enum.Parse( typeof( DataMatrixEncoding ), encoding, true );
		}

		private void cbxEanSupplementDisplayLocation_SelectedIndexChanged(object sender, System.EventArgs e)
		{
			string eanSupplementDisplayLocation = cbxEanSupplementDisplayLocation.SelectedItem.ToString( );
			barcodeView.EANSupplementDisplayLocation = 
				( BarcodeTextLocation )Enum.Parse( typeof( BarcodeTextLocation ), eanSupplementDisplayLocation, true );
		}

		private void txtEanSupplement_TextChanged(object sender, System.EventArgs e)
		{
			try
			{
				barcodeView.EANSupplement = txtEanSupplement.Text;
				SetStatus( "Ready", false );
			}
			catch
			{
				SetStatus( "Invalid EAN/UPC supplement value", true );
			}
		}

		private void txtEanSupplementYDimension_TextChanged(object sender, System.EventArgs e)
		{
			try
			{
				barcodeView.EANSupplementYDimension = float.Parse( txtEanSupplementYDimension.Text );
				SetStatus( "Ready", false );
			}
			catch
			{
				SetStatus( "Invalid EAN/UPC supplement YDimension value", true );
			}
		}

		private void txtApplicationIdentifier_TextChanged(object sender, System.EventArgs e)
		{
			barcodeView.EAN128ApplicationIdentifier = txtApplicationIdentifier.Text;
		}

		private void cbxMicroPDF417SymbolSize_SelectedIndexChanged(object sender, System.EventArgs e)
		{
			string mpdf417SymbolSize = cbxMicroPDF417SymbolSize.SelectedItem.ToString( );
			barcodeView.MicroPDF417SymbolSize = 
				( MicroPDF417SymbolSize )Enum.Parse( typeof( MicroPDF417SymbolSize ), mpdf417SymbolSize, true );
		}

		private void txtPDF417Rows_TextChanged(object sender, System.EventArgs e)
		{
			try
			{
				barcodeView.Pdf417Rows = int.Parse( txtPDF417Rows.Text );
				SetStatus( "Ready", false );
			}
			catch
			{
				SetStatus( "Invalid PDF417 Rows value", true );
			}
		}

		private void txtPDF417Columns_TextChanged(object sender, System.EventArgs e)
		{
			try
			{
				barcodeView.Pdf417Columns = int.Parse( txtPDF417Columns.Text );
				SetStatus( "Ready", false );
			}
			catch
			{
				SetStatus( "Invalid PDF417 Columns value", true );
			}
		}

		private void cbxPDF417ErrorCorrectionLevel_SelectedIndexChanged(object sender, System.EventArgs e)
		{
			string pdf417ErrorCorrectionLevel = cbxPDF417ErrorCorrectionLevel.SelectedItem.ToString( );
			barcodeView.Pdf417ErrorCorrectionLevel = 
				( PDF417ErrorCorrectionLevel )Enum.Parse( typeof( PDF417ErrorCorrectionLevel ), pdf417ErrorCorrectionLevel, true );
		}

		private void cbxPDF417DataCompactionMode_SelectedIndexChanged(object sender, System.EventArgs e)
		{
			string pdf417DataCompactionMode = cbxPDF417DataCompactionMode.SelectedItem.ToString( );
			barcodeView.Pdf417DataCompactionMode = 
				( PDF417DataCompactionMode )Enum.Parse( typeof( PDF417DataCompactionMode ), pdf417DataCompactionMode, true );
		}

		private void SetupUI( )
		{
			// Load the barcode symbologies.
			string[] symbologies = Enum.GetNames( typeof ( BarcodeSymbology ) );
			cbxSymbology.Items.AddRange( symbologies );
			cbxSymbology.SelectedItem = "Code39";
			// Set default data.
			txtData.Text = "0123456789";
			// Set default font.
			btnFont.Text = "Arial, 8pt";
			// Load border styles.
			string[] borderStyles = Enum.GetNames( typeof ( Border3DStyle ) );
			cbxBorderStyle.Items.AddRange( borderStyles );
			cbxBorderStyle.SelectedItem = "Sunken";
			// Load rotation options.
			string[] rotations = Enum.GetNames( typeof ( BarcodeRotation ) );
			cbxRotation.Items.AddRange( rotations );
			cbxRotation.SelectedItem = "NoRotation";
			// Load dimension units.
			string[] dimensionUnits = Enum.GetNames( typeof ( XYDimensionUnit ) );
			cbxDimensionUnit.Items.AddRange( dimensionUnits );
			cbxDimensionUnit.SelectedItem = "Mil";

			// Load data display locations
			string[] dataDisplayLocations = Enum.GetNames( typeof ( BarcodeTextLocation ) );
			cbxDataDisplayLocation.Items.AddRange( dataDisplayLocations );
			cbxDataDisplayLocation.SelectedItem = "BelowEmbedded";
			// Load EAN/UPC supplement display locations
			string[] eanSupplementDisplayLocations = Enum.GetNames( typeof ( BarcodeTextLocation ) );
			cbxEanSupplementDisplayLocation.Items.AddRange( eanSupplementDisplayLocations );
			cbxEanSupplementDisplayLocation.SelectedItem = "Above";

			// Load DataMatrix symbols.
			string[] dataMatrixSymbolSizes = Enum.GetNames( typeof ( DataMatrixSymbolSize ) );
			cbxDataMatrixSymbolSize.Items.AddRange( dataMatrixSymbolSizes );
			cbxDataMatrixSymbolSize.SelectedItem = "Auto";
			// Load DataMatrix encodings.
			string[] dataMatrixEncodings = Enum.GetNames( typeof ( DataMatrixEncoding ) );
			cbxDataMatrixEncoding.Items.AddRange( dataMatrixEncodings );
			cbxDataMatrixEncoding.SelectedItem = "Auto";
			// Load MicroPDF417 symbols.
			string[] mpdf417SymbolSizes = Enum.GetNames( typeof ( MicroPDF417SymbolSize ) );
			cbxMicroPDF417SymbolSize.Items.AddRange( mpdf417SymbolSizes );
			cbxMicroPDF417SymbolSize.SelectedItem = "Auto";
			// Load PDF417 error correction levels.
			string[] pdf417ErrorCorrectionLevels = Enum.GetNames( typeof ( PDF417ErrorCorrectionLevel ) );
			cbxPDF417ErrorCorrectionLevel.Items.AddRange( pdf417ErrorCorrectionLevels );
			cbxPDF417ErrorCorrectionLevel.SelectedItem = "Level0";
			// Load PDF417 data compaction modes.
			string[] pdf417DataCompactionModes = Enum.GetNames( typeof ( PDF417DataCompactionMode ) );
			cbxPDF417DataCompactionMode.Items.AddRange( pdf417DataCompactionModes );
			cbxPDF417DataCompactionMode.SelectedItem = "Text";
		}

		private void SetStatus( string message, bool error )
		{
			lblStatus.BackColor = error ? Color.Red : SystemColors.Control;
			lblStatus.Text = message;
		}
	}
}
